/*  SAM Trigger
 *   This program accepts MIDI data to sequence SAM voice.
 *   
 *   When a NOTE ON command for the sellected channel is 
 *   detected, the joystick trigger is turned on for 
 *   10 milliseconds to trigger the next word to be sung.
 */
int trigger = 3;
byte midiData = 0;
byte noteOnCommand =  146; //number representing channel and Command
                           // 144(noteon)+2(channel 3)
                           
void setup() {
  pinMode(trigger,OUTPUT);
  digitalWrite(trigger,LOW);
  Serial.begin(31250);
}

void loop() {
  while(Serial.available()<1){}//wait for data
  midiData = Serial.read();
  if (midiData == noteOnCommand){   // Note On - Channel 
   digitalWrite(trigger,HIGH);
   delay(20);// give atari a chance to read joystick
    }
    else{
  digitalWrite(trigger,LOW); // reset for next word
  }
}

